com.genesyslab.wfm8.API.service.adherence850

## Class AdhAgentState

- java.lang.Object
- - com.genesyslab.wfm8.API.service.adherence850.AdhAgentState

- All Implemented Interfaces:
    java.io.Serializable

      public class AdhAgentState
      extends java.lang.Object
      implements java.io.Serializable

  At any given moment every agent is at some state assigned by Genesys Framework. There is predefined set of available Agent States. Also agent state may have user-defined "reason" code(s) attached to fine grain it further. The Agent State of every agent is tracked in real-time and is logged to database by WFM Data Aggregator. The agent state log fully illustrates agent's activity. The database format is made proprietary for performance reasons although historical Agent State information is made readily available by Adherence Service. The historical Agent State log consists of records named Adherence Agent State.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.List<AdhChannelState>` | `channelStates` A list of channel states `AdhChannelState`, if it's a multi-channel state
    `protected int` | `channelStatesNSizeIs` Number of elements in channelStates array
    `protected int` | `gswAgentId` Agent ID, identifies `CfgAgent` object
    `protected int` | `gswStateId` Genesys Agent State ID, identifies `CfgAgentState` object
    `private static long` | `serialVersionUID`
    `protected double` | `wmEndDateTime` State end date/time `OleDateTime`
    `protected java.lang.String` | `wmReasons` State Reason Code
    `protected int` | `wmSiteId` Site ID, identifies `CfgSite` object
    `protected double` | `wmStartDateTime` State start date/time `OleDateTime`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AdhAgentState()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `java.util.List<AdhChannelState>` | `getChannelStates()` Gets the value of the channelStates property.
    `int` | `getChannelStatesNSizeIs()` Gets the value of the channelStatesNSizeIs property.
    `int` | `getGswAgentId()` Gets the value of the gswAgentId property.
    `int` | `getGswStateId()` Gets the value of the gswStateId property.
    `double` | `getWmEndDateTime()` Gets the value of the wmEndDateTime property.
    `java.lang.String` | `getWmReasons()` Gets the value of the wmReasons property.
    `int` | `getWmSiteId()` Gets the value of the wmSiteId property.
    `double` | `getWmStartDateTime()` Gets the value of the wmStartDateTime property.
    `int` | `hashCode()`
    `void` | `setChannelStates(java.util.List<AdhChannelState> channelStates)` Sets the value of the channelStates property.
    `void` | `setChannelStatesNSizeIs(int channelStatesNSizeIs)` Sets the value of the channelStatesNSizeIs property.
    `void` | `setGswAgentId(int value)` Sets the value of the gswAgentId property.
    `void` | `setGswStateId(int value)` Sets the value of the gswStateId property.
    `void` | `setWmEndDateTime(double value)` Sets the value of the wmEndDateTime property.
    `void` | `setWmReasons(java.lang.String value)` Sets the value of the wmReasons property.
    `void` | `setWmSiteId(int value)` Sets the value of the wmSiteId property.
    `void` | `setWmStartDateTime(double value)` Sets the value of the wmStartDateTime property.
    `java.lang.String` | `toString()`
    `AdhAgentState` | `withChannelStates(AdhChannelState... values)`
    `AdhAgentState` | `withChannelStates(java.util.Collection<AdhChannelState> values)`
    `AdhAgentState` | `withChannelStatesNSizeIs(int value)`
    `AdhAgentState` | `withGswAgentId(int value)`
    `AdhAgentState` | `withGswStateId(int value)`
    `AdhAgentState` | `withWmEndDateTime(double value)`
    `AdhAgentState` | `withWmReasons(java.lang.String value)`
    `AdhAgentState` | `withWmSiteId(int value)`
    `AdhAgentState` | `withWmStartDateTime(double value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### wmSiteId

          protected int wmSiteId

      Site ID, identifies `CfgSite` object

    - #### gswAgentId

          protected int gswAgentId

      Agent ID, identifies `CfgAgent` object

    - #### gswStateId

          protected int gswStateId

      Genesys Agent State ID, identifies `CfgAgentState` object

    - #### wmReasons

          protected java.lang.String wmReasons

      State Reason Code

    - #### wmStartDateTime

          protected double wmStartDateTime

      State start date/time `OleDateTime`

    - #### wmEndDateTime

          protected double wmEndDateTime

      State end date/time `OleDateTime`

    - #### channelStatesNSizeIs

          protected int channelStatesNSizeIs

      Number of elements in channelStates array

    - #### channelStates

          protected java.util.List<AdhChannelState> channelStates

      A list of channel states `AdhChannelState`, if it's a multi-channel state

  - ### Constructor Detail

    - #### AdhAgentState

          public AdhAgentState()

  - ### Method Detail

    - #### getWmSiteId

          public int getWmSiteId()

      Gets the value of the wmSiteId property.

    - #### setWmSiteId

          public void setWmSiteId(int value)

      Sets the value of the wmSiteId property.

    - #### getGswAgentId

          public int getGswAgentId()

      Gets the value of the gswAgentId property.

    - #### setGswAgentId

          public void setGswAgentId(int value)

      Sets the value of the gswAgentId property.

    - #### getGswStateId

          public int getGswStateId()

      Gets the value of the gswStateId property.

    - #### setGswStateId

          public void setGswStateId(int value)

      Sets the value of the gswStateId property.

    - #### getWmReasons

          public java.lang.String getWmReasons()

      Gets the value of the wmReasons property.
      Returns:
        possible object is `String`

    - #### setWmReasons

          public void setWmReasons(java.lang.String value)

      Sets the value of the wmReasons property.
      Parameters:
        `value` - allowed object is `String`

    - #### getWmStartDateTime

          public double getWmStartDateTime()

      Gets the value of the wmStartDateTime property.

    - #### setWmStartDateTime

          public void setWmStartDateTime(double value)

      Sets the value of the wmStartDateTime property.

    - #### getWmEndDateTime

          public double getWmEndDateTime()

      Gets the value of the wmEndDateTime property.

    - #### setWmEndDateTime

          public void setWmEndDateTime(double value)

      Sets the value of the wmEndDateTime property.

    - #### getChannelStates

          public java.util.List<AdhChannelState> getChannelStates()

      Gets the value of the channelStates property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the channelStates property.

      For example, to add a new item, do as follows:

              getChannelStates().add(newItem);

      Objects of the following type(s) are allowed in the list `AdhChannelState`

    - #### getChannelStatesNSizeIs

          public int getChannelStatesNSizeIs()

      Gets the value of the channelStatesNSizeIs property.

    - #### withWmSiteId

          public AdhAgentState withWmSiteId(int value)

    - #### withGswAgentId

          public AdhAgentState withGswAgentId(int value)

    - #### withGswStateId

          public AdhAgentState withGswStateId(int value)

    - #### withWmReasons

          public AdhAgentState withWmReasons(java.lang.String value)

    - #### withWmStartDateTime

          public AdhAgentState withWmStartDateTime(double value)

    - #### withWmEndDateTime

          public AdhAgentState withWmEndDateTime(double value)

    - #### withChannelStates

          public AdhAgentState withChannelStates(AdhChannelState... values)

    - #### withChannelStates

          public AdhAgentState withChannelStates(java.util.Collection<AdhChannelState> values)

    - #### withChannelStatesNSizeIs

          public AdhAgentState withChannelStatesNSizeIs(int value)

    - #### setChannelStates

          public void setChannelStates(java.util.List<AdhChannelState> channelStates)

      Sets the value of the channelStates property.
      Parameters:
        `channelStates` - allowed object is `AdhChannelState`

    - #### setChannelStatesNSizeIs

          public void setChannelStatesNSizeIs(int channelStatesNSizeIs)

      Sets the value of the channelStatesNSizeIs property.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.